Subject: Re: [PATCH (net.git) 1/4] stmmac: remove two useless initialisation

From: Giuseppe CAVALLARO <[email-masked]>
Date: Mon, 04 Jun 2012 17:58:18 +0200

On 6/4/2012 5:49 PM, David Miller wrote:
> From: Giuseppe CAVALLARO <[email-masked]>
> Date: Mon,  4 Jun 2012 17:37:47 +0200
> 
>> This patch removes two useful initialisation in the
>> stmmac_rx and stmmac_tx function.
>> In the former, count var was already reset and in the
>> stmmac_tx we only need to increment the dirty pointer
>> w/o setting the entry var.
>>
>> Signed-off-by: Giuseppe Cavallaro <[email-masked]>
> 
> There are so many problems with this patch I do not know where
> to start.
> 
> Your subject line says the initializations are "useless" yet
> your commit message says they are "useful".

Sorry, I meant "useless".

> This is a cleanup, and does not fix any bugs, and is therefore
> absolutely not appropriate for the 'net' tree.

Yes this is not a fix but a cleanup.

I've not clear where I have to post this patch.
Do you mean, w/o net.git entry in the patch subject?
Can you tell me what I have to do? So will resend all the patches again
but I'll be more careful on all.

> I'm tossing this entire series, you need to be more careful
> with your submissions.

ok, thanks a lot.

peppe

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
>